package com.ruoyi.ibs.task.mapper;

import com.ruoyi.ibs.task.domain.dto.VisitTargetDTO;
import com.ruoyi.ibs.task.domain.dto.VisitTaskListDTO;
import com.ruoyi.ibs.task.domain.vo.VisitTargetVO;
import com.ruoyi.ibs.task.domain.vo.VisitTaskListVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/12
 **/
@Mapper
public interface VisitTaskMapper {

    List<VisitTaskListVO> getVisitTaskList(VisitTaskListDTO visitTaskListDTO);

    List<VisitTargetVO> getVisitTargetRetailList(VisitTargetDTO visitTargetDTO);

    List<VisitTargetVO> getVisitTargetBusinessList(VisitTargetDTO visitTargetDTO);

    List<VisitTargetVO> getVisitTargetMerchantList(VisitTargetDTO visitTargetDTO);


}
